<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.dxhy.admin.sys.dao.SysBusinessDao">
    <select id="queryBusinessCode" resultType="com.dxhy.admin.sys.entity.SysBusinessEntity">
        select
        *
        from sys_business
        where business_code = #{businessCode}
        and company = #{company}
        <if test="businessId != null and businessId != '' ">
            and id != #{businessId}
        </if>
    </select>

</mapper>
